program moslog(input,output);
uses crt,ulogo,uhelp;
		(*****************)
		(**  moslog     **)
		(**             **)
		(*****************)

(*$i declrais.pas *)
var
(*$i varrais.pas *)

(*$i simbas.pas *)

(*$i inirais.pas *)
(*$i anarais.pas *)
(*$i infrais.pas *)
(*$i sperais.pas *)
(*$i storais.pas *)
(*$i lecrais.pas *)


begin
		(******************)
		(* code de moslog *)
		(******************)

logo('moslog','un programme qui raisonne','');

inirais;		(* initialisation *)

fin:=false;
while not fin do
	begin
	ok:=0;
	lecrais;	(* lecture d'une phrase *)
	case ok of
		0:	begin
			anarais;	(* analyse de la phrase *)
			if ok = 0
			then	begin
				if nb_aff <> 0
				then	infrais;	(* d‚duction *)
				if (ok = 0) and (ques = 0)
				then	begin
					storais;  (* stokage des infos *)
					end;
				end;
			end;
		1:	begin
			sperais;   (* traitement des commandes de gestion*)
			end;
		Else
		end;
	end;
end.
